View Issue Details

IDProjectCategoryView StatusLast Update
0002626SymmetricDSImprovementpublic2016-06-10 10:22
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.34Fixed in Version3.7.34 
Summary0002626: Set order of triggers to first on SQL Server to preserve order of changes
DescriptionWhen the user has triggers on a table already, and those triggers are modifying data, the ordering of triggers is important. The SymmetricDS triggers need to fire first to capture the first change before other triggers can modify additional data. Add a mssql.trigger.order.first parameter that will enable the use of sp_settriggerorder procedure to set the SymmetricDS triggers to first. Only one trigger can be set as first, so if the user already has a trigger set to first, set their trigger to none, and log a warning.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 e663e244

2016-06-03 16:39:38

admin

Details Diff
0002626: Set order of triggers to first on SQL Server to preserve order
of changes

0002626
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2016-06-02 19:39 elong New Issue
2016-06-02 19:39 elong Status new => assigned
2016-06-02 19:39 elong Assigned To => elong
2016-06-03 17:00 admin Changeset attached => SymmetricDS 3.7 e663e244
2016-06-06 10:54 elong Status assigned => resolved
2016-06-06 10:54 elong Fixed in Version => 3.7.34
2016-06-06 10:54 elong Resolution open => fixed
2016-06-10 10:22 elong Status resolved => closed